Bug 724815 (CVE-2011-2701) - CVE-2011-2701 freeradius: OCSP does not verify status of certificates
Summary: CVE-2011-2701 freeradius: OCSP does not verify status of certificates
Keywords:
Status: CLOSED ERRATA
Alias: CVE-2011-2701
Product: Security Response
Classification: Other
Component: vulnerability
Version: unspecified
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Red Hat Product Security
QA Contact:
URL:
Whiteboard:
Depends On: 724816
Blocks:
TreeView+ depends on / blocked
 
Reported: 2011-07-21 21:38 UTC by Vincent Danen
Modified: 2021-02-24 15:01 UTC (History)
3 users (show)

Fixed In Version: freeradius 2.1.12
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2012-08-08 08:18:26 UTC


Attachments (Terms of Use)
proposed patch from upstream (3.38 KB, patch)
2011-07-22 13:02 UTC, John Dennis
no flags Details | Diff

Description Vincent Danen 2011-07-21 21:38:06 UTC
DFN-CERT reported [1] a vulnerability in the OCSP feature in FreeRADIUS 2.1.11 where it does not verify the status of a certificate (e.g. if the certificate was revoked).

No further details, or a patch, were provided.  According to the changelog on the FreeRADIUS site [2], OCSP support was added in version 2.1.11:

* OCSP support from Alex Bergmann. See raddb/eap.conf, "ocsp" section.

Therefore earlier versions of FreeRADIUS are not affected by this flaw.

[1] http://seclists.org/oss-sec/2011/q3/105
[2] http://freeradius.org/

Statement:

Not vulnerable. This issue did not affect the versions of freeradius as shipped with Red Hat Enterprise Linux 4, 5, or 6.

Comment 1 Vincent Danen 2011-07-21 21:41:20 UTC
Created freeradius tracking bugs for this issue

Affects: fedora-all [bug 724816]

Comment 2 John Dennis 2011-07-22 13:02:42 UTC
Created attachment 514686 [details]
proposed patch from upstream

Comment 4 Vincent Danen 2011-07-25 21:45:36 UTC
The DFN-CERT advisory is now available: https://www.dfn-cert.de/informationen/Sicherheitsbulletins/dsb-2011-01.html


Note You need to log in before you can comment on or make changes to this bug.